net.i2p.router.networkdb

## Class PublishLocalRouterInfoJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.networkdb.PublishLocalRouterInfoJob

- All Implemented Interfaces:
    Job

      public class PublishLocalRouterInfoJob
      extends JobImpl

  Publish the local router's RouterInfo periodically NOTE - this also creates and signs the RI

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `_notFirstTime`
    `(package private) static long` | `FIRST_TIME_DELAY` this needs to be long enough to give us time to start up, but less than 20m (when we start accepting tunnels and could be a IBGW)
    `(package private) static long` | `PUBLISH_DELAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PublishLocalRouterInfoJob(RouterContext ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Descriptive name of the task
    `void` | `runJob()` Actually perform the task.

    - ### Methods inherited from class net.i2p.router.JobImpl

      `dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PUBLISH_DELAY

          static final long PUBLISH_DELAY

      See Also:
        Constant Field Values

    - #### FIRST_TIME_DELAY

          static final long FIRST_TIME_DELAY

      this needs to be long enough to give us time to start up, but less than 20m (when we start accepting tunnels and could be a IBGW)
      See Also:
        Constant Field Values

    - #### _notFirstTime

          boolean _notFirstTime

  - ### Constructor Detail

    - #### PublishLocalRouterInfoJob

          public PublishLocalRouterInfoJob(RouterContext ctx)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Job`
      Descriptive name of the task

    - #### runJob

          public void runJob()

      Description copied from interface: `Job`
      Actually perform the task. This call blocks until the Job is complete.